> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vatis.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete

> Deletes a webhook endpoint.



## OpenAPI

````yaml delete /notification-service/api/v1/webhook-endpoints/{id}
openapi: 3.0.1
info:
  title: Vatis Stream Service
  description: Vatis Stream Service API
  version: '1.0'
servers:
  - url: https://notification-service.vatis.tech
    description: Default server
security: []
paths:
  /notification-service/api/v1/webhook-endpoints/{id}:
    delete:
      tags:
        - webhook-endpoint-resource-impl
      summary: Delete
      description: Deletes a webhook endpoint.
      operationId: delete
      parameters:
        - name: id
          in: path
          description: Webhook endpoint id
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Operation succeeded.
        '400':
          description: Webhook endpoints limit reached
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Authentication required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: >-
            The current user is not allowed to perform this action or the
            endpoint does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerToken: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        statusCode:
          type: integer
          format: int32
        title:
          type: string
        message:
          type: string
        internalErrorName:
          type: string
        nestedErrors:
          type: array
          items:
            type: object
  securitySchemes:
    bearerToken:
      type: http
      scheme: bearer
      bearerFormat: JWT

````